:root {
    --fuentePrincipal: 'Gothic A1', sans-serif;
    --fuenteSecundaria: 'Oswald', sans-serif;
    --primario: #f1a94e;
    --secundario: #44b3c2;
    --claro: #ffffff;
}

html {
    box-sizing: border-box;
}

*,
*::before,
*::after {
    margin: 0;
    padding: 0;
    box-sizing: inherit;
}

body {
    font-family: var(--fuenteSecundaria);
}


/* Hero */

.hero__contenedor {
    max-width: 1100px;
    width: 90%;
    margin: 0 auto;
}

img {
    max-width: 100%;
}

h1,
.hero__titulo {
    margin: 0;
    font-size: 2.8rem;
}

h2 {
    font-size: 2.6rem;
}

h3 {
    font-size: 2.4rem;
}

p {
    font-size: 1.2rem;
    line-height: 2rem;
    font-family: var(--fuentePrincipal);
}

.hero {
    height: 100vh;
    margin-bottom: 1.5rem;
    background-image: url('../img/fondo.jpg');
    background-size: cover;
}

.hero__contenedor {
    display: grid;
    height: inherit;
    align-content: center;
    justify-content: center;
}

.hero__contenido {
    color: #ffffff;
    text-align: center;
}

.hero__subtitulo {
    font-size: 1.6rem;
}


/* Servicios */

.servicios {
    display: grid;
    grid-column-gap: 1.5rem;
    text-align: center;
    align-items: center;
    grid-template-columns: repeat(auto-fit, minmax(320px, 1fr));
}

.servicios__servicio h2 {
    margin-bottom: .5rem;
}

.servicios__servicio h2::after {
    content: '';
    width: 7rem;
    height: .5rem;
    display: block;
    margin: .5rem auto;
    background-color: var(--primario);
}

.servicios__servicio i {
    font-size: 3rem;
    margin: 1.5rem auto;
    color: var(--secundario);
}

.servicios__servicio {
    margin-bottom: 1rem;
}


/* Portafolio */

.portafolio h2 {
    margin-bottom: 1rem;
}

.portafolio__listado {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(320px, 1fr));
    grid-column-gap: 1rem;
    grid-auto-rows: max-content;
    /* La altura de las rows va hacer del máximo de su contenido*/
}

.elemento {
    margin-bottom: 1.2rem;
}

.elemento:nth-child(3) {
    grid-row-end: span 2;
}


/* Footer */

.footer {
    color: var(--claro);
    background-image: url('../img/contacto.jpg');
    background-size: cover;
}

.footer__contenedor {
    grid-template-columns: repeat(auto-fill, minmax(320px, 1fr));
}

.footer__contenedor h3 {
    margin-bottom: 1.2rem;
}

.footer__contenedor .widget {
    padding: 1rem;
}


/* Media Query General */

@media screen and (max-width: 335px) {
    .servicios__servicio {
        padding: .5rem;
    }
    .elemento {
        padding: .5rem;
    }
    .portafolio h2 {
        padding-left: .5rem;
    }
}